Bug 19051 - XSS Flaws in - Batch record deletion page - Batch item deletion page - Batch item modification page
Summary: XSS Flaws in - Batch record deletion page - Batch item deletion page - Batch ...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amit Gupta
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2017-08-07 15:35 UTC by Amit Gupta
Modified: 2017-09-07 06:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19051 - XSS Flaws in - Batch record deletion page (1.79 KB, patch)
2017-08-07 15:43 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 19051 - XSS Flaws in Batch item deletion page (1.29 KB, patch)
2017-08-07 16:18 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 19051 - XSS Flaws in - Batch item modification page (1.31 KB, patch)
2017-08-07 16:19 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 19051 - XSS Flaws in - Batch record deletion page (1.87 KB, patch)
2017-08-07 20:36 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 19051 - XSS Flaws in Batch item deletion page (1.35 KB, patch)
2017-08-07 20:36 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 19051 - XSS Flaws in - Batch item modification page (1.37 KB, patch)
2017-08-07 20:37 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 19051 - XSS Flaws in - Batch record deletion page (1.96 KB, patch)
2017-08-11 09:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19051 - XSS Flaws in Batch item deletion page (1.45 KB, patch)
2017-08-11 09:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19051 - XSS Flaws in - Batch item modification page (1.46 KB, patch)
2017-08-11 09:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-08-07 15:35:03 UTC
XSS Flaws in - Batch record deletion page - Batch item deletion page - Batch item modification page
Comment 1 Amit Gupta 2017-08-07 15:43:09 UTC
Created attachment 65580 [details] [review]
Bug 19051 - XSS Flaws in - Batch record deletion page

1. Hit /cgi-bin/koha/tools/batch_delete_records.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> in the Record number list (one per line) text area.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Record number list (one per line) text area.
6. Notice it is no longer executed.
7. Fixes for both biblio and authority records.
Comment 2 Amit Gupta 2017-08-07 16:18:26 UTC
Created attachment 65584 [details] [review]
Bug 19051 - XSS Flaws in Batch item deletion page

1. Hit /cgi-bin/koha/tools/batchMod.pl?del=1
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> in the Barcode list (one barcode per line) text area.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Barcode list (one barcode per line) text area.
6. Notice it is no longer executed.
7. Fixes for both barcode and itemnumber.
Comment 3 Amit Gupta 2017-08-07 16:19:44 UTC
Created attachment 65585 [details] [review]
Bug 19051 - XSS Flaws in - Batch item modification page

1. Hit /cgi-bin/koha/tools/batchMod.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> in the Barcode list (one barcode per line) text area.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Barcode list (one barcode per line) text area.
6. Notice it is no longer executed.
7. Fixes for both barcode and itemnumber.
Comment 4 Chris Cormack 2017-08-07 20:36:42 UTC
Created attachment 65597 [details] [review]
Bug 19051 - XSS Flaws in - Batch record deletion page

1. Hit /cgi-bin/koha/tools/batch_delete_records.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> in the Record number list (one per line) text area.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Record number list (one per line) text area.
6. Notice it is no longer executed.
7. Fixes for both biblio and authority records.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Chris Cormack 2017-08-07 20:36:56 UTC
Created attachment 65598 [details] [review]
Bug 19051 - XSS Flaws in Batch item deletion page

1. Hit /cgi-bin/koha/tools/batchMod.pl?del=1
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> in the Barcode list (one barcode per line) text area.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Barcode list (one barcode per line) text area.
6. Notice it is no longer executed.
7. Fixes for both barcode and itemnumber.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Chris Cormack 2017-08-07 20:37:19 UTC
Created attachment 65599 [details] [review]
Bug 19051 - XSS Flaws in - Batch item modification page

1. Hit /cgi-bin/koha/tools/batchMod.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> in the Barcode list (one barcode per line) text area.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Barcode list (one barcode per line) text area.
6. Notice it is no longer executed.
7. Fixes for both barcode and itemnumber.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 7 Marcel de Rooy 2017-08-11 09:26:42 UTC
Created attachment 65888 [details] [review]
Bug 19051 - XSS Flaws in - Batch record deletion page

1. Hit /cgi-bin/koha/tools/batch_delete_records.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> in the Record number list (one per line) text area.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Record number list (one per line) text area.
6. Notice it is no longer executed.
7. Fixes for both biblio and authority records.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Marcel de Rooy 2017-08-11 09:26:46 UTC
Created attachment 65889 [details] [review]
Bug 19051 - XSS Flaws in Batch item deletion page

1. Hit /cgi-bin/koha/tools/batchMod.pl?del=1
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> in the Barcode list (one barcode per line) text area.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Barcode list (one barcode per line) text area.
6. Notice it is no longer executed.
7. Fixes for both barcode and itemnumber.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Marcel de Rooy 2017-08-11 09:26:50 UTC
Created attachment 65890 [details] [review]
Bug 19051 - XSS Flaws in - Batch item modification page

1. Hit /cgi-bin/koha/tools/batchMod.pl
2. Enter <IFRAME SRC="javascript:alert('XSS');"></IFRAME> in the Barcode list (one barcode per line) text area.
3. Notice the iframe is executed.
4. Apply patch.
5. Reload page, and enter iframe again on Barcode list (one barcode per line) text area.
6. Notice it is no longer executed.
7. Fixes for both barcode and itemnumber.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Jonathan Druart 2017-08-29 15:07:26 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 11 Fridolin SOMERS 2017-09-05 12:45:23 UTC
Pushed to 17.05.x, is in 17.05.03
Comment 12 Katrin Fischer 2017-09-07 06:15:46 UTC
These patches have been pushed to 16.11.x and are in 16.11.11.